Index: cpukit/include/rtems/score/threadqimpl.h
===================================================================
--- cpukit/include/rtems/score/threadqimpl.h	(revision f1507fb848c7ea14bfdb231098b4265816bd531c)
+++ cpukit/include/rtems/score/threadqimpl.h	(revision b6bbe83c81b3c29dbd83e04896ac7dba836b2cd9)
@@ -1,9 +1,11 @@
 /**
- *  @file
- *
- *  Constants and Structures Associated with the Manipulation of Objects
- *
- *  This include file contains all the constants and structures associated
- *  with the manipulation of objects.
+ * @file
+ *
+ * @ingroup RTEMSScoreThreadQueue
+ *
+ * @brief Constants and Structures Associated with the Manipulation of Objects
+ *
+ * This include file contains all the constants and structures associated
+ * with the manipulation of objects.
  */
 
@@ -39,6 +41,7 @@
 /**
  *  @addtogroup RTEMSScoreThreadQueue
- */
-/**@{*/
+ *
+ * @{
+ */
 
 #define THREAD_QUEUE_LINK_OF_PATH_NODE( node ) \
@@ -63,4 +66,12 @@
 } Thread_queue_Syslock_queue;
 
+/**
+ * @brief Does nothing.
+ *
+ * @param queue This parameter is unused.
+ * @param the_thread This parameter is unused.
+ * @param cpu_self This parameter is unused.
+ * @param queue_context This parameter is unused.
+ */
 void _Thread_queue_Enqueue_do_nothing_extra(
   Thread_queue_Queue   *queue,
@@ -70,4 +81,12 @@
 );
 
+/**
+ * @brief Adds timeout ticks of the queue to the thread.
+ *
+ * @param queue This parameter is unused.
+ * @param[in, out] the_thread The thread to add timeout ticks to.
+ * @param cpu_self The cpu for the operation.
+ * @param queue_context The thread queue context.
+ */
 void _Thread_queue_Add_timeout_ticks(
   Thread_queue_Queue   *queue,
@@ -77,4 +96,14 @@
 );
 
+/**
+ * @brief Adds a monotonic timespec to the thread and sets the watchdog header
+ *      to monotonic.
+ *
+ * @param queue This parameter is unused.
+ * @param[in, out] the_thread The thread to add the timeout and set watchdog header to
+ *      monotonic.
+ * @param cpu_self The cpu to get the monotonic watchdog header from.
+ * @param queue_context The thread queue context.
+ */
 void _Thread_queue_Add_timeout_monotonic_timespec(
   Thread_queue_Queue   *queue,
@@ -84,4 +113,14 @@
 );
 
+/**
+ * @brief Adds a monotonic timespec to the thread and sets the watchdog header
+ *      to realtime.
+ *
+ * @param queue This parameter is unused.
+ * @param[in, out] the_thread The thread to add the timeout and set watchdog header to
+ *      realtime.
+ * @param cpu_self The cpu to get the realtime watchdog header from.
+ * @param queue_context The thread queue context.
+ */
 void _Thread_queue_Add_timeout_realtime_timespec(
   Thread_queue_Queue   *queue,
@@ -93,4 +132,7 @@
 /**
  * @brief Sets the thread wait return code to STATUS_DEADLOCK.
+ *
+ * @param[out] the_thread The thread to set the wait return code to
+ *      STATUS_DEADLOCK.
  */
 void _Thread_queue_Deadlock_status( Thread_Control *the_thread );
@@ -98,4 +140,6 @@
 /**
  * @brief Results in an INTERNAL_ERROR_THREAD_QUEUE_DEADLOCK fatal error.
+ *
+ * @param the_thread The thread for the operation.
  */
 void _Thread_queue_Deadlock_fatal( Thread_Control *the_thread );
@@ -104,5 +148,5 @@
  * @brief Initializes a thread queue context.
  *
- * @param queue_context The thread queue context to initialize.
+ * @param[out] queue_context The thread queue context to initialize.
  */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Context_initialize(
@@ -126,5 +170,5 @@
  * context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param state The thread state.
  *
@@ -143,5 +187,5 @@
  * @brief Sets the timeout ticks in the thread queue context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param ticks The timeout in ticks.
  *
@@ -160,5 +204,5 @@
  * @brief Sets the timeout argument in the thread queue context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param arg The timeout argument.
  *
@@ -177,5 +221,5 @@
  * @brief Sets the enqueue callout in the thread queue context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param enqueue_callout The enqueue callout.
  *
@@ -194,5 +238,5 @@
  * @brief Sets the do nothing enqueue callout in the thread queue context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  *
  * @see _Thread_queue_Enqueue().
@@ -210,5 +254,5 @@
  * ticks.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param ticks The timeout in ticks.
  *
@@ -229,5 +273,5 @@
  * timespec format.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param abstime The absolute monotonic timeout.
  *
@@ -249,5 +293,5 @@
  * timespec format.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param abstime The absolute realtime timeout.
  *
@@ -273,5 +317,5 @@
  * and _Thread_queue_Deadlock_fatal().
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param deadlock_callout The deadlock callout.
  *
@@ -286,4 +330,10 @@
 }
 
+/**
+ * @brief Clears the priority update count of the thread queue context.
+ *
+ * @param[out] queue_context The thread queue context to clear the priority
+ * update count.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Context_clear_priority_updates(
   Thread_queue_Context *queue_context
@@ -293,4 +343,12 @@
 }
 
+/**
+ * @brief Returns the priority update count of the thread queue context.
+ *
+ * @param queue_context The thread queue context to get the priority update
+ *      count of.
+ *
+ * @return The priority update count of @a queue_context.
+ */
 RTEMS_INLINE_ROUTINE size_t _Thread_queue_Context_save_priority_updates(
   Thread_queue_Context *queue_context
@@ -300,4 +358,11 @@
 }
 
+/**
+ * @brief Sets the priority update count of the thread queue context.
+ *
+ * @param[out] queue_context The thread queue context to set the priority
+ *      update count of.
+ * @param update_count The priority update count.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Context_restore_priority_updates(
   Thread_queue_Context *queue_context,
@@ -308,4 +373,12 @@
 }
 
+/**
+ * @brief Adds a priority update of the thread to the thread queue context.
+ *
+ * @param[in, out] queue_context The thread queue context to increase the
+ *      priority update count of and set the_thread in its Priority update
+ *      array.
+ * @param the_thread The thread for the priority update.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Context_add_priority_update(
   Thread_queue_Context *queue_context,
@@ -330,4 +403,10 @@
   } while ( 0 )
 
+/**
+ * @brief Sets the thread queue context ISR level.
+ *
+ * @param[out] queue_context The thread queue context to set the ISR level of.
+ * @param level The ISR level to set @a queue_context to.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Context_set_ISR_level(
   Thread_queue_Context *queue_context,
@@ -341,4 +420,11 @@
 }
 
+/**
+ * @brief Disables dispatching in a critical section.
+ *
+ * @param queue_context The thread queue context to get the lock context from.
+ *
+ * @return The current processor.
+ */
 RTEMS_INLINE_ROUTINE Per_CPU_Control *_Thread_queue_Dispatch_disable(
   Thread_queue_Context *queue_context
@@ -353,5 +439,5 @@
  * @brief Sets the MP callout in the thread queue context.
  *
- * @param queue_context The thread queue context.
+ * @param[out] queue_context The thread queue context.
  * @param mp_callout Callout to unblock the thread in case it is actually a
  *   thread proxy.  This parameter is only used on multiprocessing
@@ -375,4 +461,9 @@
 
 #if defined(RTEMS_SMP)
+/**
+ * @brief Closes the gate.
+ *
+ * @param[out] gate The gate to close.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Gate_close(
   Thread_queue_Gate *gate
@@ -382,4 +473,10 @@
 }
 
+/**
+ * @brief Adds the gate to the chain.
+ *
+ * @param[in, out] chain The chain to add the gate to.
+ * @param gate The gate to add to the chain.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Gate_add(
   Chain_Control     *chain,
@@ -390,4 +487,9 @@
 }
 
+/**
+ * @brief Opens the gate.
+ *
+ * @param[out] gate The gate to open.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Gate_open(
   Thread_queue_Gate *gate
@@ -397,4 +499,11 @@
 }
 
+/**
+ * @brief Waits on a gate to open.
+ *
+ * Performs busy waiting.
+ *
+ * @param gate The gate to wait for.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Gate_wait(
   Thread_queue_Gate *gate
@@ -407,4 +516,9 @@
 #endif
 
+/**
+ * @brief Initializes the thread queue heads.
+ *
+ * @param[out] heads The thread queue heads to initialize.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Heads_initialize(
   Thread_queue_Heads *heads
@@ -425,4 +539,10 @@
 }
 
+/**
+ * @brief Initializes the thread queue queue with the given name.
+ *
+ * @param[out] queue The thread queue queue to initialize.
+ * @param name The name for the @a queue.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Queue_initialize(
   Thread_queue_Queue *queue,
@@ -438,4 +558,11 @@
 }
 
+/**
+ * @brief Acquires the thread queue queue in a critical section.
+ *
+ * @param queue The thread queue queue to acquire in a critical section.
+ * @param lock_stats The lock statistics.
+ * @param[out] lock_context The interrupt lock context.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Queue_do_acquire_critical(
   Thread_queue_Queue *queue,
@@ -468,4 +595,10 @@
 #endif
 
+/**
+ * @brief Releases the thread queue queue in a critical section.
+ *
+ * @param queue The thread queue queue to release in a critical section.
+ * @param[out] lock_context The interrupt lock context.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Queue_release_critical(
   Thread_queue_Queue *queue,
@@ -484,4 +617,10 @@
 }
 
+/**
+ * @brief Releases the thread queue queue and enables interrupts.
+ *
+ * @param queue The thread queue queue to release.
+ * @param[out] lock_context The interrupt lock context to enable interrupts.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Queue_release(
   Thread_queue_Queue *queue,
@@ -496,12 +635,12 @@
  * @brief Copies the thread queue name to the specified buffer.
  *
- * @param[in] queue The actual thread queue.
- * @param[in] buffer The buffer for the thread queue name copy.
- * @param[in] buffer_size The buffer size in characters.
- * @param[in] id The object identifier in case the thread queue is embedded in
+ * @param queue The actual thread queue.
+ * @param[out] buffer The buffer for the thread queue name copy.
+ * @param buffer_size The buffer size in characters.
+ * @param id The object identifier in case the thread queue is embedded in
  *   an object with identifier, otherwise it is set to 0.
  *
- * @retval The length of the thread queue name.  May be greater than or equal
- *   to the buffer size if truncation occurred.
+ * @return The length of the thread queue name.  May be greater than or equal
+ *  to the buffer size if truncation occurred.
  */
 size_t _Thread_queue_Queue_get_name_and_id(
@@ -512,4 +651,10 @@
 );
 
+/**
+ * @brief Acquires the thread queue control in a critical section.
+ *
+ * @param the_thread_queue The thread queue control to acquire.
+ * @param[out] lock_context The interrupt lock context.
+ */
 #if defined(RTEMS_SMP)
 void _Thread_queue_Do_acquire_critical(
@@ -528,4 +673,10 @@
 #endif
 
+/**
+ * @brief Acquires the thread queue control in a critical section.
+ *
+ * @param the_thread_queue The thread queue control to acquire.
+ * @param[out] lock_context The interrupt lock context.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Acquire_critical(
   Thread_queue_Control *the_thread_queue,
@@ -539,4 +690,10 @@
 }
 
+/**
+ * @brief Acquires the thread queue control in a critical section.
+ *
+ * @param the_thread_queue The thread queue control to acquire.
+ * @param[out] queue_context The thread queue context.
+ */
 #if defined(RTEMS_SMP)
 void _Thread_queue_Acquire(
@@ -555,4 +712,12 @@
 #endif
 
+/**
+ * @brief Checks if the thread queue control is the owner of the lock.
+ *
+ * @param the_thread_queue The thread queue control for the verification.
+ *
+ * @retval true The thread queue control is the owner of the lock.
+ * @retval false The thread queue control is not the owner of the lock.
+ */
 #if defined(RTEMS_DEBUG)
 RTEMS_INLINE_ROUTINE bool _Thread_queue_Is_lock_owner(
@@ -568,4 +733,10 @@
 #endif
 
+/**
+ * @brief Releases the thread queue control in a critical section.
+ *
+ * @param the_thread_queue The thread queue control to release.
+ * @param[out] lock_context The interrupt lock context.
+ */
 #if defined(RTEMS_SMP)
 void _Thread_queue_Do_release_critical(
@@ -585,4 +756,10 @@
 #endif
 
+/**
+ * @brief Releases the thread queue control in a critical section.
+ *
+ * @param the_thread_queue The thread queue control to release.
+ * @param[out] queue_context The thread queue context.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Release_critical(
   Thread_queue_Control *the_thread_queue,
@@ -596,4 +773,10 @@
 }
 
+/**
+ * @brief Releases the thread queue control and enables interrupts.
+ *
+ * @param the_thread_queue The thread queue control to release.
+ * @param[out] queue_context The thread queue context.
+ */
 #if defined(RTEMS_SMP)
 void _Thread_queue_Release(
@@ -613,4 +796,12 @@
 #endif
 
+/**
+ * @brief Dequeues the first thread waiting on the thread queue and returns it.
+ *
+ * @param the_thread_queue The thread queue for the operation.
+ * @param operations The thread queue operations.
+ *
+ * @return The first locked thread.
+ */
 Thread_Control *_Thread_queue_Do_dequeue(
   Thread_queue_Control          *the_thread_queue,
@@ -728,8 +919,8 @@
  * @endcode
  *
- * @param[in] queue The actual thread queue.
- * @param[in] operations The thread queue operations.
- * @param[in] the_thread The thread to enqueue.
- * @param[in] queue_context The thread queue context of the lock acquire.
+ * @param queue The actual thread queue.
+ * @param operations The thread queue operations.
+ * @param[in, out] the_thread The thread to enqueue.
+ * @param[in, out] queue_context The thread queue context of the lock acquire.
  */
 void _Thread_queue_Enqueue(
@@ -758,8 +949,8 @@
  * the processor instead of blocking with respect to the scheduler.
  *
- * @param[in] queue The actual thread queue.
- * @param[in] operations The thread queue operations.
- * @param[in] the_thread The thread to enqueue.
- * @param[in] queue_context The thread queue context of the lock acquire.
+ * @param queue The actual thread queue.
+ * @param operations The thread queue operations.
+ * @param[in, out] the_thread The thread to enqueue.
+ * @param[in, out] queue_context The thread queue context of the lock acquire.
  */
 Status_Control _Thread_queue_Enqueue_sticky(
@@ -778,8 +969,8 @@
  * lock is not released.
  *
- * @param[in] queue The actual thread queue.
- * @param[in] operations The thread queue operations.
- * @param[in] the_thread The thread to extract.
- * @param[in] queue_context The thread queue context.
+ * @param queue The actual thread queue.
+ * @param operations The thread queue operations.
+ * @param[in, out] the_thread The thread to extract.
+ * @param[in, out] queue_context The thread queue context.
  *
  * @return Returns the unblock indicator for _Thread_queue_Unblock_critical().
@@ -806,9 +997,9 @@
  * dispatching is enabled once the sequence to unblock the thread is complete.
  *
- * @param[in] unblock The unblock indicator returned by
+ * @param unblock The unblock indicator returned by
  * _Thread_queue_Extract_locked().
- * @param[in] queue The actual thread queue.
- * @param[in] the_thread The thread to extract.
- * @param[in] lock_context The lock context of the lock acquire.
+ * @param queue The actual thread queue.
+ * @param[in, out] the_thread The thread to extract.
+ * @param[in, out] lock_context The lock context of the lock acquire.
  */
 void _Thread_queue_Unblock_critical(
@@ -860,8 +1051,8 @@
  * @endcode
  *
- * @param[in] queue The actual thread queue.
- * @param[in] operations The thread queue operations.
- * @param[in] the_thread The thread to extract.
- * @param[in] queue_context The thread queue context of the lock acquire.
+ * @param queue The actual thread queue.
+ * @param operations The thread queue operations.
+ * @param[in, out] the_thread The thread to extract.
+ * @param[in, out] queue_context The thread queue context of the lock acquire.
  */
 void _Thread_queue_Extract_critical(
@@ -873,20 +1064,23 @@
 
 /**
- *  @brief Extracts thread from thread queue.
- *
- *  This routine removes @a the_thread its thread queue
- *  and cancels any timeouts associated with this blocking.
- *
- *  @param[in] the_thread is the pointer to a thread control block that
- *      is to be removed
+ * @brief Extracts thread from thread queue.
+ *
+ * This routine removes @a the_thread its thread queue
+ * and cancels any timeouts associated with this blocking.
+ *
+ * @param[in, out] the_thread The pointer to a thread control block that
+ *     is to be removed
  */
 void _Thread_queue_Extract( Thread_Control *the_thread );
 
 /**
- *  @brief Extracts the_thread from the_thread_queue.
- *
- *  This routine extracts the_thread from the_thread_queue
- *  and ensures that if there is a proxy for this task on
- *  another node, it is also dealt with.
+ * @brief Extracts the_thread from the_thread_queue.
+ *
+ * This routine extracts the_thread from the_thread_queue
+ * and ensures that if there is a proxy for this task on
+ * another node, it is also dealt with.
+ *
+ * @param[in, out] the_thread The pointer to a thread control block that
+ *     is to be removed
  */
 void _Thread_queue_Extract_with_proxy(
@@ -903,10 +1097,10 @@
  * thread dispatch if necessary.
  *
- * @param[in] queue The actual thread queue.
- * @param[in] heads The thread queue heads.  It must not be NULL.
- * @param[in] previous_owner The previous owner thread surrendering the thread
+ * @param[in, out] queue The actual thread queue.
+ * @param heads The thread queue heads.  It must not be NULL.
+ * @param previous_owner The previous owner thread surrendering the thread
  *   queue.
- * @param[in] queue_context The thread queue context of the lock acquire.
- * @param[in] operations The thread queue operations.
+ * @param queue_context The thread queue context of the lock acquire.
+ * @param operations The thread queue operations.
  */
 void _Thread_queue_Surrender(
@@ -932,10 +1126,10 @@
  * performed if necessary.
  *
- * @param[in] queue The actual thread queue.
- * @param[in] heads The thread queue heads.  It must not be NULL.
- * @param[in] previous_owner The previous owner thread surrendering the thread
+ * @param[in, out] queue The actual thread queue.
+ * @param heads The thread queue heads.  It must not be NULL.
+ * @param[in, out] previous_owner The previous owner thread surrendering the thread
  *   queue.
- * @param[in] queue_context The thread queue context of the lock acquire.
- * @param[in] operations The thread queue operations.
+ * @param queue_context The thread queue context of the lock acquire.
+ * @param operations The thread queue operations.
  */
 void _Thread_queue_Surrender_sticky(
@@ -948,4 +1142,12 @@
 #endif
 
+/**
+ * @brief Checks if the thread queue queue is empty.
+ *
+ * @param queue The thread queue for the verification.
+ *
+ * @retval true @a queue is empty.
+ * @retval false @a queue is not empty.
+ */
 RTEMS_INLINE_ROUTINE bool _Thread_queue_Is_empty(
   const Thread_queue_Queue *queue
@@ -962,10 +1164,10 @@
  * lock is not released.
  *
- * @param[in] the_thread_queue The thread queue.
- * @param[in] operations The thread queue operations.
- *
+ * @param the_thread_queue The thread queue.
+ * @param operations The thread queue operations.
+ *
+* @retval first The first thread on the thread queue according to the enqueue
+ * order.
  * @retval NULL No thread is present on the thread queue.
- * @retval first The first thread on the thread queue according to the enqueue
- * order.
  */
 RTEMS_INLINE_ROUTINE Thread_Control *_Thread_queue_First_locked(
@@ -987,9 +1189,9 @@
  * @c NULL.
  *
- * @param[in] the_thread_queue The thread queue.
- *
- * @retval NULL No thread is present on the thread queue.
+ * @param the_thread_queue The thread queue.
+ *
  * @retval first The first thread on the thread queue according to the enqueue
  * order.
+ * @retval NULL No thread is present on the thread queue.
  */
 Thread_Control *_Thread_queue_First(
@@ -1029,6 +1231,6 @@
  *
  * @param the_thread The thread to extract.
- * @param queue Unused.
- * @param queue_context Unused.
+ * @param queue This parameter is unused.
+ * @param queue_context This parameter is unused.
  *
  * @retval the_thread Extract this thread.
@@ -1045,7 +1247,7 @@
  * Sets the thread wait return code of the thread to STATUS_UNAVAILABLE.
  *
- * @param the_thread The thread to extract.
- * @param queue Unused.
- * @param queue_context Unused.
+ * @param[out] the_thread The thread to extract.
+ * @param queue This parameter is unused.
+ * @param queue_context This parameter is unused.
  *
  * @retval the_thread Extract this thread.
@@ -1062,7 +1264,7 @@
  * Sets the thread wait return code of the thread to STATUS_OBJECT_WAS_DELETED
  *
- * @param the_thread The thread to extract.
- * @param queue Unused.
- * @param queue_context Unused.
+ * @param[out] the_thread The thread to extract.
+ * @param queue This parameter is unused.
+ * @param queue_context This parameter is unused.
  *
  * @retval the_thread Extract this thread.
@@ -1103,4 +1305,10 @@
 );
 
+/**
+ * @brief Initializes the thread queue control to the given name.
+ *
+ * @param[out] the_thread_queue The thread queue control to initialize.
+ * @param name The name for @a the_thread_queue.
+ */
 void _Thread_queue_Initialize(
   Thread_queue_Control *the_thread_queue,
@@ -1163,4 +1371,9 @@
 #endif
 
+/**
+ * @brief Destroys the thread queue.
+ *
+ * @param[out] the_thread_queue The thread queue to destroy.
+ */
 RTEMS_INLINE_ROUTINE void _Thread_queue_Destroy(
   Thread_queue_Control *the_thread_queue
@@ -1173,4 +1386,10 @@
 }
 
+/**
+ * @brief Does nothing.
+ *
+ * @param the_proxy This parameter is unused.
+ * @param mp_id This parameter is unused.
+ */
 #if defined(RTEMS_MULTIPROCESSING)
 void _Thread_queue_MP_callout_do_nothing(
@@ -1179,4 +1398,10 @@
 );
 
+/**
+ * @brief Unblocks the proxy of the thread.
+ *
+ * @param queue The thread queue queue.
+ * @param the_threat The thread to unblock proxy (after casting it to Thread_Proxy_control *).
+ */
 void _Thread_queue_Unblock_proxy(
   Thread_queue_Queue *queue,
@@ -1185,4 +1410,14 @@
 #endif
 
+/**
+ * @brief Acquires the thread queue path in a critical section.
+ *
+ * @param queue The thread queue queue.
+ * @param the_thread The thread for the operation.
+ * @param queue_context The thread queue context.
+ *
+ * @retval true The operation was successful.
+ * @retval false The operation failed.
+ */
 #if defined(RTEMS_SMP)
 bool _Thread_queue_Path_acquire_critical(
@@ -1192,4 +1427,9 @@
 );
 
+/**
+ * @brief Releases the thread queue path in a critical section.
+ *
+ * @param queue_context The thread queue context.
+ */
 void _Thread_queue_Path_release_critical(
   Thread_queue_Context *queue_context
@@ -1250,5 +1490,5 @@
  * be ensured with the THREAD_QUEUE_OBJECT_ASSERT() static assertion.
  *
- * @param[in] the_thread_queue The thread queue.
+ * @param[out] the_thread_queue The thread queue.
  */
 void _Thread_queue_Object_initialize(
@@ -1256,5 +1496,5 @@
 );
 
-/**@}*/
+/** @} */
 
 #ifdef __cplusplus
